@import '~@angular/material/theming';

@mixin mmd-about-component-theme($theme) {
  $primary: map-get($theme, primary);
  $accent: map-get($theme, accent);
  $foreground: map-get($theme, foreground);
  $background: map-get($theme, background);

  mmd-about {
    .background {
      color: mat-color($foreground, text);
      background-color: mat-color($background, background);

      .gradient {
        &::before {
          background: linear-gradient(
            to bottom,
            mat-color($background, background, 0) 0%,
            mat-color($background, background, 1) 100%
          );
        }
      }
    }

    .follow-releases {
      p {
        background-color: mat-color($background, background);

        a {
          color: mat-color($accent);

          &:hover {
            color: mat-color($accent, darker);
          }
        }
      }
    }

  }
}
